Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
Public Class GLMixedNG
    Inherits BaseObject
    Private _CustomersFrom As CustomersFrom

    Private _NumberGenerator As NumberGenerator 'Sorszám a normál vegyes tételekhez
    Private _NumberGenerator_RateDiff As NumberGenerator 'Sorszám Árfolyam elszámoláshoz
    Private _NumberGenerator_Rounding As NumberGenerator 'Sorszám Elengedéshez elszámoláshoz
    Private _NumberGenerator_Revaluation As NumberGenerator 'Sorszám Átértékeléshez elszámoláshoz
    Private _NumberGenerator_LateCharges As NumberGenerator 'Sorszám a kamatlevélhez késedelmes fizetés esetén
    Private _DebitControlling_LateCharges As Controlling 'Tartozik főkönyvi szém a kamatlevél sorhoz
    Private _CreditControlling_LateCharges As Controlling 'Követel fk. szám a késedelmi kamatlevél sorhoz

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <RuleRequiredField("GLMixedNG-CustomersFrom", DefaultContexts.Save)> _
    <RuleUniqueValue("GLMixedNG-CustomersFrom-Unique", DefaultContexts.Save)> _
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    <RuleRequiredField("GLMixed-NumberGenerator", DefaultContexts.Save)> _
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    <RuleRequiredField("", DefaultContexts.Save)> _
    Property NumberGenerator_RateDiff As NumberGenerator
        Get
            Return _NumberGenerator_RateDiff
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_RateDiff", _NumberGenerator_RateDiff, value)
        End Set
    End Property
    <RuleRequiredField("", DefaultContexts.Save)> _
    Property NumberGenerator_Rounding As NumberGenerator
        Get
            Return _NumberGenerator_Rounding
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_Rounding", _NumberGenerator_Rounding, value)
        End Set
    End Property
    <RuleRequiredField("", DefaultContexts.Save)> _
    Property NumberGenerator_Revaluation As NumberGenerator
        Get
            Return _NumberGenerator_Revaluation
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_Revaluation", _NumberGenerator_Revaluation, value)
        End Set
    End Property

    Property NumberGenerator_LateCharges As NumberGenerator
        Get
            Return _NumberGenerator_LateCharges
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator_LateCharges", _NumberGenerator_LateCharges, value)
        End Set
    End Property
    Property DebitControlling_LateCharges As Controlling
        Get
            Return _DebitControlling_LateCharges
        End Get
        Set(value As Controlling)
            SetPropertyValue("DebitControlling_LateCharges", _DebitControlling_LateCharges, value)
        End Set
    End Property
    Property CreditControlling_LateCharges As Controlling
        Get
            Return _CreditControlling_LateCharges
        End Get
        Set(value As Controlling)
            SetPropertyValue("CreditControlling_LateCharges", _CreditControlling_LateCharges, value)
        End Set
    End Property
End Class
